# Beta Test Plan

## Core Functionalities

### Icing lib
- Key generation
- (De)crypt audio

### Icing dialer (based on Icing lib)
- Call
    - Encrypted if public key available
    - Call history

- Contacts
    - Contact creation / editing
    - Contact sharing via QR code / VCF
    - Contact search
    - Favorite contacts
    - Storage of user public keys
    - Blocked number
    - Contact preview (picture, number, public key...)

- Visual voicemail
    - Play / Pause
    - Notification
    - Quick link to call, text, block, share number...

- SIM settings
    - Default SIM

- SMS?

## Beta Testing Scenarios

## User Journeys
Karen, a 45 years-old mom just divorced from her husband. She wants to call her
layer about who is going to have custody of the children. The husband always
records and listens to the private conversations of her wife. To make sure he
cannot get any information, she uses Icing dialer to call her lawyer and
encrypt the full conversation.

Paul, a 22 years-old developer is currently working, for the U.S. Government,
on a top secret project. He decides to go to China, for vacations, but
everything goes wrong! His application is failing in the middle of the day and
no one is qualified to fix it. Paul doesn't have WiFi but he has an
international plan for his phone. With Icing dialer, he can call his company
and help fix the problem safe from the Chinese spies.

## Evaluation Criteria

